#include "hcu_compiler_configuration.h"

hcu_compiler_configuration_t compiler_configuration = {

  /* non_updateable_functions */
  {
    "cash_cmp",
    "on_exit_reset",
    "smgr_redo",
    "b64_dec_len",
    "btree_xlog_startup",
    "SetSavedRedoRecPtr",
    "cideq",
    "pg_encoding_max_length",
    "ExecGetResultType",
    "pg_utf8_islegal",
    "ExecTidMarkPos",
    "btoidcmp",
    "pg_ascii_mblen",
    "oidlarger",
    "aclitem_match",
    "IsTransactionOrTransactionBlock",
    "GUC_yy_load_buffer_state",
    "AllocSetInit",
    "int4smaller",
    "typeTypeRelid",
    "int42mul",
    "relation_byte_size",
    "SimpleLruSetLatestPage",
    "int4xor",
    "TransactionIdFollows",
    "var_is_inner",
    "int2smaller",
    "compare_rows",
    "copy_plan_costsize",
    "BeginCommand",
    "LogicalTapeTell",
    "vac_cmp_page_spaces",
    "point_left",
    "ReindexIsProcessingHeap",
    "index_getprocid",
    "b64_enc_len",
    "ItemPointerEquals",
    "tintervalend",
    "isfalse",
    "WriteLocalBuffer",
    "FastConcFast",
    "circle_overleft",
    "tstoreStartupReceiver",
    "NumLWLocks",
    "fsm_calc_request",
    "LockMethodTableRename",
    "donothingStartup",
    "pg_euckr_verifier",
    "pg_latin1_verifier",
    "abstime_finite",
    "box_contain",
    "donothingReceive",
    "AddBufferToFreelist",
    "BackendIdGetProc",
    "DeferredTriggerInit",
    "DLRemHead",
    "int2eq",
    "MemoryContextContains",
    "int2ge",
    "ltsGetFreeBlock",
    "int2gt",
    "hash_aclitem",
    "secure_destroy",
    "int2le",
    "int2lt",
    "int2mi",
    "int2ne",
    "IndexScanOK",
    "_fdvec_free",
    "int2or",
    "pglz_get_next_decomp_char_from_plain",
    "int2pl",
    "int2um",
    "int2up",
    "base_yy_load_buffer_state",
    "time_cmp",
    "CompHash",
    "single_node",
    "ip_addrsize",
    "displayStruct",
    "XactPushRollback",
    "SPI_push",
    "Int_yy_load_buffer_state",
    "compare_mcvs",
    "int4abs",
    "SpinlockSemas",
    "macaddr_cmp_internal",
    "update_pg_pwd_and_pg_group",
    "fsm_current_allocation",
    "GetLocksMethodTable",
    "before",
    "int24eq",
    "int24ge",
    "int24gt",
    "int4eq",
    "IsIgnoringSystemIndexes",
    "int4ge",
    "int4gt",
    "int4and",
    "int24le",
    "IsAbortedTransactionBlockState",
    "int24lt",
    "int24mi",
    "itemoffcompare",
    "show_random_seed",
    "int24ne",
    "hashint2",
    "hashint4",
    "hashint8",
    "int4le",
    "int4lt",
    "int24pl",
    "int4mi",
    "int4ne",
    "SHMQueueElemInit",
    "int4or",
    "int4pl",
    "compare",
    "SHMQueueInit",
    "setLastTid",
    "DeferredTriggerAbortXact",
    "ClearPendingNotifies",
    "DLRemTail",
    "int4um",
    "int4up",
    "tinterval_cmp_internal",
    "tstoreShutdownReceiver",
    "tintervaleq",
    "tintervalge",
    "int82eq",
    "unlink_fsm_rel_usage",
    "tintervalgt",
    "ProcGlobalSemas",
    "int82ge",
    "int82gt",
    "tintervalle",
    "donothingCleanup",
    "tintervallt",
    "AtEOXact_gist",
    "int82le",
    "tintervalne",
    "int82lt",
    "TransactionIdIsCurrentTransactionId",
    "int82ne",
    "nmcces",
    "var_is_outer",
    "box_cn",
    "SIGetDataEntry",
    "box_ht",
    "dch_global",
    "newline",
    "PhonyHeapTupleSatisfiesNow",
    "mdcommit",
    "abstime_cmp_internal",
    "ProcQueueInit",
    "maxcolor",
    "int2mul",
    "DLMoveToFront",
    "ReindexIsProcessingIndex",
    "oprfuncid",
    "box_wd",
    "pg_get_client_encoding",
    "vac_cmp_vtlinks",
    "cash_eq",
    "nleaders",
    "cash_ge",
    "CharRemap",
    "cash_gt",
    "exec_append_initialize_next",
    "hex_enc_len",
    "FreeXactSnapshot",
    "cost_subqueryscan",
    "xlog_undo",
    "pg_euc_mblen",
    "int2not",
    "cash_le",
    "cash_lt",
    "int84eq",
    "cash_ne",
    "int84ge",
    "singleton",
    "int84gt",
    "network_masklen",
    "pq_startcopyout",
    "hash_desc",
    "GetSavedRedoRecPtr",
    "int84le",
    "pgstat_ispgstat",
    "circle_overright",
    "int84lt",
    "int84ne",
    "typeByVal",
    "pg_euckr_mblen",
    "int28eq",
    "SHMQueueEmpty",
    "int28ge",
    "object_address_comparator",
    "cost_agg",
    "int28gt",
    "int24mul",
    "int8eq",
    "base_yy_switch_to_buffer",
    "int8ge",
    "int8gt",
    "int28le",
    "cost_group",
    "int28lt",
    "int28ne",
    "int8le",
    "SetUserId",
    "SHMQueueNext",
    "show_XactIsoLevel",
    "int8lt",
    "colorchain",
    "int8ne",
    "GetUserId",
    "network_family",
    "reltime_cmp_internal",
    "reltimegt",
    "tas",
    "yy_try_NUL_trans",
    "smgr_undo",
    "pg_euctw_mblen",
    "reltimele",
    "reltimelt",
    "AtEOXact_rtree",
    "qsort_comp_splitcost",
    "SHMQueueInsertBefore",
    "reltimene",
    "oideq",
    "charmul",
    "interval_finite",
    "BufferGetBlockNumber",
    "oidge",
    "heap_markpos",
    "oidgt",
    "SetReindexProcessing",
    "oidle",
    "oidlt",
    "oidne",
    "pg_gbk_mblen",
    "yydestruct",
    "SHMQueueDelete",
    "date2j",
    "i2toi4",
    "timetz_cmp_internal",
    "hex_dec_len",
    "DLAddHead",
    "smgr_desc",
    "PageGetFreeSpace",
    "NUM_cache_remove",
    "Int_yydestruct",
    "pg_latin1_mblen",
    "secure_open_server",
    "vac_cmp_itemptr",
    "ExecGetScanType",
    "RememberSimpleDeadLock",
    "CommandIdIsCurrentCommandId",
    "ExecTidRestrPos",
    "ExecHashGetBatch",
    "subset",
    "AttributeNumberGetIndexStrategySize",
    "InitFreeList",
    "doTheRounds",
    "GetCurrentTransactionStartTimeUsec",
    "btint2cmp",
    "link_fsm_rel_storage",
    "fsm_current_chunks",
    "_hash_hashkey2bucket",
    "int2shl",
    "GetSessionUserId",
    "int2shr",
    "AllocSetGetChunkSpace",
    "IsTransactionExitStmt",
    "toast_raw_datum_size",
    "MemoryContextSwitchTo",
    "regex_flavor_is_basic",
    "BufferGetFileNode",
    "base_yy_flush_buffer",
    "j2day",
    "rtree_desc",
    "int42eq",
    "int4inc",
    "date_cmp",
    "int42ge",
    "int42gt",
    "DisableNotifyInterrupt",
    "AtStart_Locks",
    "BufFileTell",
    "ExecEvalCoerceToDomainValue",
    "int42le",
    "get_rightop",
    "int42lt",
    "int42mi",
    "int42ne",
    "GetNumConfigOptions",
    "pg_johab_mblen",
    "pg_euctw_verifier",
    "SetThisStartUpID",
    "int42pl",
    "DLAddTail",
    "addrange",
    "hash_stats",
    "ExecSupportsMarkRestore",
    "base_yy_init_buffer",
    "freeGISTstate",
    "tintervalrel",
    "compare1",
    "compare2",
    "seq_undo",
    "NamespaceCallback",
    "get_notclausearg",
    "aclitem_eq",
    "oidsmaller",
    "ContinueBufferIO",
    "GUC_yy_switch_to_buffer",
    "GetDatabaseEncodingName",
    "tideq",
    "IsTransactionState",
    "ShmemIsValid",
    "SigHupHandler",
    "freestate",
    "lexnest",
    "TransactionIdFollowsOrEquals",
    "gist_desc",
    "chareq",
    "booleq",
    "charge",
    "boolge",
    "chargt",
    "boolgt",
    "j2date",
    "charin",
    "floor",
    "charle",
    "btcharcmp",
    "boolle",
    "isTempNamespace",
    "charlt",
    "charmi",
    "boollt",
    "charne",
    "boolne",
    "charpl",
    "rt_box_size",
    "RelationClose",
    "btboolcmp",
    "btint8cmp",
    "plannode_type",
    "dummy_tid_reaped___0",
    "smgreq",
    "IndexStrategyGetStrategyMap",
    "InstrEndLoop",
    "and_clause",
    "inv_tell",
    "PinBuffer",
    "ArrayCast",
    "smgrne",
    "CheckPostmasterSignal",
    "Int_yy_switch_to_buffer",
    "circle_left",
    "deparse_context_for_rte",
    "GetCurrentCommandId",
    "time2t",
    "ScanKeyEntrySetIllegal",
    "get_leftop",
    "GUC_yy_flush_buffer",
    "GetCurrentTransactionId",
    "typeTypeFlag",
    "enough_space",
    "hash_seq_init",
    "LWLockShmemSize",
    "istrue",
    "IsReservedName",
    "ShutdownFuncExpr",
    "nullvalue",
    "IsSystemNamespace",
    "macaddr_cmp",
    "TypeCategory",
    "IgnoreSystemIndexes",
    "AtEOXact_hash",
    "box_overright",
    "on_pb",
    "calc_bucket",
    "ExecSetSlotDescriptorIsNew",
    "int4mul",
    "Delete",
    "pg_backend_pid",
    "clog_undo",
    "pg_big5_mblen",
    "AtAbort_Memory",
    "ExecSeqMarkPos",
    "TransactionIdPrecedesOrEquals",
    "DLInitList",
    "ResetBufferUsage",
    "dummy_handler",
    "int2xor",
    "xideq",
    "ri_trigger_type",
    "get_ps_display",
    "unescape_single_char",
    "GetLockmodeName",
    "nospace",
    "int4not",
    "link_fsm_rel_usage",
    "SimpleLruShmemSize",
    "oprid",
    "secure_initialize",
    "GrantLock",
    "pg_ascii_verifier",
    "int48eq",
    "int48ge",
    "int48gt",
    "tm2timetz",
    "dummy_tid_reaped",
    "int48le",
    "circle_ar",
    "vac_cmp_offno",
    "int48lt",
    "int2larger",
    "PushSpecialNamespace",
    "int48ne",
    "btabstimecmp",
    "exprIsNullConstant",
    "addchr",
    "timemi",
    "box_below",
    "circle_ge",
    "mdabort",
    "isnottrue",
    "circle_gt",
    "PopSpecialNamespace",
    "timepl",
    "deleteLOfd",
    "time_eq",
    "time_ge",
    "circle_le",
    "time_gt",
    "circle_lt",
    "box_contained",
    "ceil",
    "time_le",
    "time_lt",
    "client_read_ended",
    "time_ne",
    "error_severity",
    "xid_age",
    "box_above",
    "cost_nonsequential_access",
    "void_in",
    "secure_close",
    "pg_uhc_mblen",
    "timetz_eq",
    "timetz_ge",
    "timetz_gt",
    "circle_below",
    "LexIDStr",
    "cost_seqscan",
    "box_left",
    "timetz_le",
    "timetz_lt",
    "TransactionIdPrecedes",
    "date_smaller",
    "RelationInitLockInfo",
    "timetz_ne",
    "Insert",
    "bttintervalcmp",
    "AbsoluteTimeUsecToTimestampTz",
    "XactPopRollback",
    "box_right",
    "GetCurrentTransactionStartTime",
    "pg_utf_mblen",
    "isnotfalse",
    "StartupCLOG",
    "copy_path_costsize",
    "circle_above",
    "tintervalstart",
    "Int_yy_flush_buffer",
    "SPI_pop",
    "int2abs",
    "ExecContextForcesOids",
    "deferredTriggerAddEvent",
    "hashoid",
    "is_absolute_path",
    "DLRemove",
    "GetDatabaseEncoding",
    "box_fill",
    "_SPI_execmem",
    "trunc_var",
    "StrategyMapGetScanKeyEntry",
    "int2and",
    "parse_expr_init",
    "XLOGShmemSize",
    "btint4cmp",
    "circle_right",
    "int4shl",
    "interval_cmp_internal",
    "int4shr",
    "date_mii",
    "hashchar",
    "IsToastNamespace",
    "date_eq",
    "statlseg_construct",
    "point_below",
    "date_ge",
    "pg_euccn_mblen",
    "date_gt",
    "lazy_record_dead_tuple",
    "pg_get_client_encoding_name",
    "pg_database_encoding_max_length",
    "not_clause",
    "date_le",
    "date_lt",
    "date_mi",
    "date_ne",
    "ExecChooseHashTableSize",
    "typeTypType",
    "point_above",
    "IsToastRelation",
    "pg_eucjp_verifier",
    "rangeSockAddrAF_INET",
    "int4larger",
    "combine",
    "_bt_checksplitloc",
    "typeLen",
    "textoctetlen",
    "or_clause",
    "SetSessionUserId",
    "dumpnfa",
    "point_right",
    "CLOGPagePrecedes",
    "pg_isblank",
    "vac_cmp_blk",
    "cost_functionscan",
    "nonnullvalue",
    "box_overleft",
    "SInvalShmemSize",
    "pq_endtypsend",
    "DLInitElem",
    "AmiTransactionOverride",
    "tm2time",
    "_SPI_checktuples",
    "compare_path_costs",
    "index_close",
    "GetMemoryChunkContext",
    "parser_init",
    "date_larger",
    "_SPI_procmem",
    "rt_bigbox_size",
    "AtEOXact_nbtree",
    "date_pli",
    "tuplestore_ateof",
    "pg_encoding_to_char",
    "PortalDefineQuery",
    "IsTransactionBlock",
    "cost_material",
    "macaddr_eq",
    "macaddr_ge",
    "type_maximum_size",
    "macaddr_gt",
    "compare_fractional_path_costs",
    "macaddr_le",
    "macaddr_lt",
    "macaddr_ne",
    "var_is_rel",
    "timetz_smaller",
    "lexword",
    "byteaoctetlen",
    "IsSystemRelation",
    "pg_utf8_verifier",
    "AtAbort_Notify",
    "_bt_page_recyclable",
    "pg_eucjp_mblen",
    "timetz_larger",
    "timetz_cmp",
    "abstimeeq",
    "abstimege",
    "abstimegt",
    "abstimele",
    "abstimelt",
    "abstimene",
    "box_ar",
    "box_ge",
    "box_gt",
    "box_le",
    "CLOGShmemSize",
    "box_lt",
    "btreltimecmp",
    "pgstat_setheader",
    "page_size",
    "IsSystemClass",
    "reltimeeq",
    "reltimege",
    "GUC_yy_init_buffer",
    "date2isoweek",
    "interval_larger",
    "pq_close",
    "interval_eq",
    "interval_ge",
    "interval_gt",
    "interval_smaller",
    "IsToastClass",
    "interval_le",
    "interval_lt",
    "interval_ne",
    "interval_cmp",
    "InitializeSessionUserIdStandalone",
    "SetDefaultClientEncoding",
    "Int_yy_init_buffer",
    "restriction_is_or_clause"
  }
};
