#!/bin/sh


prepare()
{
    POSTGRES_VERSION_OLD=$1
    POSTGRES_VERSION_NEW=$2

    POSTGRES_VERSION_NUMBER_OLD=`echo -n "$POSTGRES_VERSION_OLD" | sed -e 's/\.//g'`
    POSTGRES_VERSION_NUMBER_NEW=`echo $POSTGRES_VERSION_NEW | sed -e 's/\.//g'`

    cd results

    echo "Producing diff report between versions $POSTGRES_VERSION_NUMBER_OLD and $POSTGRES_VERSION_NUMBER_NEW"
    hcudiff.sh ${POSTGRES_VERSION_OLD}.postgres_comb.c ${POSTGRES_VERSION_NEW}.postgres_comb.c no > ${POSTGRES_VERSION_OLD}_to_${POSTGRES_VERSION_NEW}_diff_result.txt 2>&1
    echo "Producing evolution report between versions $POSTGRES_VERSION_NUMBER_OLD and $POSTGRES_VERSION_NUMBER_NEW"
    hcudiff.sh ${POSTGRES_VERSION_OLD}.postgres_comb.c ${POSTGRES_VERSION_NEW}.postgres_comb.c yes > ${POSTGRES_VERSION_OLD}_to_${POSTGRES_VERSION_NEW}_evolution_result.txt 2>&1
    
    cd -
}

prepare 7.3.21 7.4
prepare 7.4 7.4.1
prepare 7.4.1 7.4.2
prepare 7.4.2 7.4.3
prepare 7.4.3 7.4.4
prepare 7.4.4 7.4.5
prepare 7.4.5 7.4.6
prepare 7.4.6 7.4.7
prepare 7.4.7 7.4.8
prepare 7.4.8 7.4.9
prepare 7.4.9 7.4.10
prepare 7.4.10 7.4.11
prepare 7.4.11 7.4.12
prepare 7.4.12 7.4.13
prepare 7.4.13 7.4.14
prepare 7.4.14 7.4.15
prepare 7.4.15 7.4.16
prepare 7.4.16 7.4.17
prepare 7.4.17 7.4.18
prepare 7.4.18 7.4.19
prepare 7.4.19 8.0.0
