#!/bin/sh


prepare()
{
    PROGRAM_VERSION_OLD=$1
    PROGRAM_VERSION_NEW=$2

    PROGRAM_VERSION_NUMBER_OLD=`echo -n "$PROGRAM_VERSION_OLD" | sed -e 's/\.//g'`
    PROGRAM_VERSION_NUMBER_NEW=`echo $PROGRAM_VERSION_NEW | sed -e 's/\.//g'`

    cd results

    echo "Producing diff report between versions $PROGRAM_VERSION_NUMBER_OLD and $PROGRAM_VERSION_NUMBER_NEW"
    hcudiff.sh ${PROGRAM_VERSION_OLD}.vsftpd_comb.c ${PROGRAM_VERSION_NEW}.vsftpd_comb.c no > ${PROGRAM_VERSION_OLD}_to_${PROGRAM_VERSION_NEW}_diff_result.txt 2>&1
    echo "Producing evolution report between versions $PROGRAM_VERSION_NUMBER_OLD and $PROGRAM_VERSION_NUMBER_NEW"
    hcudiff.sh ${PROGRAM_VERSION_OLD}.vsftpd_comb.c ${PROGRAM_VERSION_NEW}.vsftpd_comb.c yes > ${PROGRAM_VERSION_OLD}_to_${PROGRAM_VERSION_NEW}_evolution_result.txt 2>&1
    
    cd - > /dev/null
}

prepare 1.1.0 1.1.1
prepare 1.1.1 1.1.2
prepare 1.1.2 1.1.3
prepare 1.1.3 1.2.0
prepare 1.2.0 1.2.1
prepare 1.2.1 1.2.2
prepare 1.2.2 2.0.0
prepare 2.0.0 2.0.1
prepare 2.0.1 2.0.2
prepare 2.0.2 2.0.3
prepare 2.0.3 2.0.4
prepare 2.0.4 2.0.5
prepare 2.0.5 2.0.6
